from langchain.agents import load_tools
from langchain.agents import initialize_agent
from langchain.llms import OpenAI
import os

#get the key from the environment variable
os.environ["OPENAI_API_KEY"] = os.getenv("openai_key")
os.environ["SERPAPI_API_KEY"] = os.getenv("SERPAPI_API_KEY")
os.environ["WOLFRAM_ALPHA_APPID"] = os.getenv("WOLFRAM_ALPHA_APPID")


llm = OpenAI(temperature=0)

# PIP INSTALL THE TOOLS YOU WANT TO USE, pip install langchain, pip install openai, pip install oogle-search-results, pip install wolframalpha
# restart your VSCode/IDE after SETTING THE ENVIRONMENT VARIABLES

# tool names ['serpapi', 'wolfram-alpha', 'pal-math', 'pal-colored-objects', 'news-api', 'tmdb-api', 'open-meteo-api']
tools = load_tools(["serpapi", "llm-math", "wolfram-alpha"], llm=llm, serpapi_api_key=os.getenv("SERPAPI_API_KEY"), wolfram_alpha_appid=os.getenv("WOLFRAM_ALPHA_APPID"))

agent = initialize_agent(tools, llm, agent="zero-shot-react-description", verbose=True)

# agent.run("how many contries are in the world?") 
# agent.run("what is the combined population of capitals of France and Germany taken to the 3rd power?")
# agent.run("how far is earth from the moon?")
agent.run("34 divided by 10?")